Should i wait for winpwn 2.5 ?

Discussion in 'iPod touch Firmware 2.X Jailbreak' started by l3m0nz, Aug 2, 2008.

  1. l3m0nz

    l3m0nz New Member

    Joined:
    Dec 2, 2007
    Messages:
    8
    Likes Received:
    0
    ok so i have the 2.0 frimware installed on my ipod touch right now 8gb

    i would like to pwn my device but im not sure if i should wait out for winpwn 2.5 and installer 4 or just pwn it right away with WinPwn 2.0.0.3.

    Also ive never used winpwn before only thing i used is iliberty+.

    Is it safe ? it should be.

    anyways thx for the responses

    Please Register or Log in to view images

  2. iHAX

    iHAX Banned

    Joined:
    May 7, 2008
    Messages:
    565
    Likes Received:
    0
    gl trying to pwn with winpwn

    way to many errors >.<


    u should just try now and if u get errors dont pull your hair out just wait
  3. Rougelead

    Rougelead New Member

    Joined:
    Apr 4, 2008
    Messages:
    190
    Likes Received:
    0
    Device:
    iPod touch
    idk how people mess up. Just follow the tutorial that is on this site and follow it correctly. There is no way you can mess up. One thing that the tutorial has forgot is where to find your iphone or ipod ispw file.

    For xp it can be found in C:/Documents and settings/Application Data/Apple/itunes/updatesomething

    use that DONT *******! it will cause errors
  4. l3m0nz

    l3m0nz New Member

    Joined:
    Dec 2, 2007
    Messages:
    8
    Likes Received:
    0
    aiight thx for the reply.. does xWinPwn 0.3 do any better ? nah probably not.

    ill try !
    ------------------double post merged------------------
    you mean ******* versions don't work with winpwn ..
    they should there the same thing.
  5. l3m0nz

    l3m0nz New Member

    Joined:
    Dec 2, 2007
    Messages:
    8
    Likes Received:
    0
    thanks, ill try all of them till i get it working

    Please Register or Log in to view images

  6. Rougelead

    Rougelead New Member

    Joined:
    Apr 4, 2008
    Messages:
    190
    Likes Received:
    0
    Device:
    iPod touch
    Well lets say it this way. you will have a better shot at it working if you use your own file instead of using someone elces. If your on an ipod you will have to pay the 10 dollars to get this. I know its a bit of money and hey i dont want to pay it either i would ******* it if i could but idk if it will work. I know for a fact that the beta version of 2.0 doesnt work.

    But i would reccomend it because there are some features that im sure 70% of the population of this forum has done...

    And yea thats how you do it.

Share This Page